## com.google.javascript.jscomp.graph
Class GraphReachability.EdgeTuple<N,E>

    java.lang.Object
      com.google.javascript.jscomp.graph.GraphReachability.EdgeTuple<N,E>

Enclosing class:
  GraphReachability<N,E>

    public static final class GraphReachability.EdgeTuple<N,E>

extends Object

Represents Source Node, Edge and Destination Node.

Field Summary
`N` | `destNode`
`E` | `edge`
`N` | `sourceNode`

Constructor Summary
`GraphReachability.EdgeTuple(N sourceNode, E edge, N destNode)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceNode

    public final N sourceNode

### edge

    public final E edge

### destNode

    public final N destNode

Constructor Detail

### GraphReachability.EdgeTuple

    public GraphReachability.EdgeTuple(N sourceNode,
                                       E edge,
                                       N destNode)